Recommended update for caasp-tools, transactional-update and zypper-migration-plugin

SUSE Recommended Update: Recommended update for caasp-tools, transactional-update and zypper-migration-plugin
Announcement ID: SUSE-RU-2018:2744-1
Rating: important
References: #1098280 #1105992
Affected Products:
  • SUSE CaaS Platform 3.0

An update that has two recommended fixes can now be installed.

Description:

This update enables non interactive migration for transactional-update.
Additionally, the following issue has been fixed:

  • Fix parsing XML-output with zypper version 1.11.70. (bsc#1105992)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE CaaS Platform 3.0:
    To install this update, use the SUSE CaaS Platform Velum dashboard. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.

Package List:

  • SUSE CaaS Platform 3.0 (x86_64):
    • transactional-update-1.29-5.5.1
    • transactional-update-debuginfo-1.29-5.5.1
    • transactional-update-debugsource-1.29-5.5.1
  • SUSE CaaS Platform 3.0 (noarch):
    • caasp-tools-0.24-10.3.2
    • zypper-migration-plugin-0.11.1520597355.bcf74ad-3.3.2

References: